---
title: "Get purchase orders filtered and paged"
slug: "get-purchase-orders-filtered-and-paged"
updated: 2026-01-30T20:02:42Z
published: 2026-02-10T12:53:32Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get purchase orders filtered and paged

Post/api/v1/invoices/purchaseorders/filter

Get a paged list of existing purchase orders, optionally filtered to the given parameters.

		
			

**Description**

Retrieve a paged list of existing purchase order, filtered to the given parameters.

**Use Case**

The user needs to identify which purchase orders are currently registered in Bloxs. For example, they may want to retrieve all the purchase order from a specific supplier (relationsReference).

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| pageSize | The maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number). |
| pageNumber | This allows the requesting party to specify which of the pages they want to receive. |
| columnName | The data field based on which sorting is applied. For example, if the results are sorted based on ascending name, columnName will contain the value 'name'. |
| order | Based on this value, the property defined in 'columnName' is either sorted ascending (a-z) or descending (z-a). |
| reference | This pertains to the reference of the specific purchase order. This reference can be used to obtain further information regarding the invoice through the [GET operation](/v1-api/apidocs/get-a-purchase-order). |
| externalIdentifier | The unique identifier for this specific purchase order, not created by Bloxs. |
| ownerReference | The reference of the relation that is the buying party in this purchase order. This refers to the reference created by Bloxs, not to be confused with the externalIdentifier. |
| relationReference | The reference of the relation that is the selling party in this purchase order (supplier). This reference is created by Bloxs. |
| proposalReference | The reference of the proposal which (usually) preceded the purchase order. This reference is created by Bloxs. |
| proposalTotalAmountExcl.from | Total amount of the proposal excluding VAT. The amount is expressed with two decimals. This defines the lower border of the range. |
| proposalTotalAmountExcl.to | Total amount of the proposal excluding VAT. The amount is expressed with two decimals. This defines the upper border of the range. |
| totalAmountExcl.from | Total amount of the purchase order excluding VAT. The amount is expressed with two decimals. This defines the lower border of the range. |
| totalAmountExcl.to | Total amount of the purchase order excluding VAT. The amount is expressed with two decimals. This defines the upper border of the range. |
| invoicedAmount.from | The amount that has been invoiced till today. The amount is expressed with two decimals. This defines the lower border of the range. |
| invoicedAmount.to | The amount that has been invoiced till today. The amount is expressed with two decimals. This defines the upper border of the range. |
| outstandingAmount.from | The amount that of today has not been invoiced, and is therefore still outstanding. The amount is expressed with two decimals. This defines the lower border of the range. |
| outstandingAmount.to | The amount that of today has not been invoiced, and is therefore still outstanding. The amount is expressed with two decimals. This defines the upper border of the range. |

**Response fields**

In addition to the request, the 200 response contains the fields in the table below.

| Field | Description |
| --- | --- |
| subject | The subject of the purchase order. |
| workflowState | 1 = Draft Concept status. Edits are still possible. 2 = OnHold This means that an purchase order is on hold before it can be approved, for example due to a dispute with the supplier. 3 = Cancelled This purchase order was, for example, not needed or created in error. 4 = ApprovalWorkflow Submitted for approval. For example, the purchase order is pending approval by person X. This may involve a simple or extended approval chain of multiple people. 7 = Final This is the most relevant status for integration partners. Purchase orders are then fully processed (and potentially sent). 9 = Disapproved The purchase order has been returned by an approver for adjustments by the creator. 10 = OwnerApprovalWorkflow Submitted for approval by the owner. The purchase order is then awaiting the owner’s approval via the owners’ portal. This is in addition to the normal approval process but is linked to the use of the owners’ portal. 11 = DisapprovedByOwner Disapproved by the owner. This requires further review. |
| finalizationState | The status of payment. 0 = Open 1 = Completed 2 = Closed |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='3b51a68d-53ad-4fe8-8c37-6cd4f050f23d'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

filterobject (PurchaseOrderSearchRequestFilter)  referencestring   | null  
externalIdentifierstring   | null  
ownerReferencestring   | null  
relationReferencestring   | null  
proposalReferencestring   | null  
proposalTotalAmountExclobject (CompareFilterModelDecimal)  fromnumber  (double)   | null  
tonumber  (double)   | null  

totalAmountExclobject (CompareFilterModelDecimal)  fromnumber  (double)   | null  
tonumber  (double)   | null  

invoicedAmountobject (CompareFilterModelDecimal)  fromnumber  (double)   | null  
tonumber  (double)   | null  

outstandingAmountobject (CompareFilterModelDecimal)  fromnumber  (double)   | null  
tonumber  (double)   | null  

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='21c53f4e-35b4-4f9b-b65d-9b83aefb68d1'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

purchaseOrders Array of object (PurchaseOrderSearchResultFilter)  | null  object  referencestring   | null  
externalIdentifierstring   | null  
ownerReferencestring   | null  
relationReferencestring   | null  
proposalReferencestring   | null  
subjectstring   | null  
proposalTotalAmountExclnumber  (double)   | null  
workflowStateinteger  (int32)    Valid values[
  1,
  2,
  3,
  4,
  7,
  9,
  10,
  11
]
finalizationStateinteger  (int32)    Valid values[
  0,
  1,
  2
]
totalAmountExclnumber  (double)    
invoicedAmountnumber  (double)   | null  
outstandingAmountnumber  (double)   | null
